<!--Table here-->
<div class="containerAddButton">
  <button
    *ngIf="this.user.isAdmin"
    type="button"
    class="btn addButton"
    data-toggle="modal"
    (click)="myModal.show()"
  >
    Ajouter un élément
  </button>
</div>
<div class="card">
  <div class="card-body">
    <div class="loadingTableContainer" *ngIf="isLoading || dataNotFound">
      <div class="loadingTable">
        <div class="dataNotFound" *ngIf="isLoading">
          <div style="opacity: 0.7; color: black">Chargement ...</div>
          <img
            src="assets/img/gif/cloud.gif"
            alt="this scope moves"
            width="70"
          />
        </div>
        <div class="dataNotFound" *ngIf="dataNotFound">
          <div style="color: black">Aucune donnée trouvée !</div>
          <img
            src="assets/img/gif/zoom.gif"
            alt="this scope moves"
            width="50"
          />
        </div>
      </div>
    </div>
    <table class="table table-striped">
      <thead style="z-index: 88" class="tableHead">
        <tr class="table-sm cc">
          <th style="width: auto">
            ID
            <input
              *ngIf="filterId"
              class="inputFilter"
              style="width: 50px"
              type="text"
              [(ngModel)]="filters[0]['id']"
              (keyup)="getSiteTypes(1)"
            />
            <i
              class="fa fa-filter fa-lg customfilter"
              (click)="filterId = !filterId"
            ></i>
          </th>

          <th style="width: auto">
            Type d'élément
            <input
              *ngIf="filterElementType"
              class="inputFilter"
              type="text"
              [(ngModel)]="filters[6]['element_type']"
              (keyup)="getSiteTypes(1)"
            />
            <i
              class="fa fa-filter fa-lg customfilter"
              (click)="filterElementType = !filterElementType"
            ></i>
          </th>

          <th style="width: auto">
            Id hébergement
            <input
              *ngIf="filterAccommodation"
              class="inputFilter"
              type="text"
              [(ngModel)]="filters[10]['accommodation']"
              (keyup)="getSiteTypes(1)"
            />
            <i
              class="fa fa-filter fa-lg customfilter"
              (click)="filterAccommodation = !filterAccommodation"
            ></i>
          </th>

          <th style="width: auto">
            Code de reconnaissance
            <input
              *ngIf="filterNom"
              class="inputFilter"
              type="text"
              [(ngModel)]="filters[3]['recognition_code']"
              (keyup)="getSiteTypes(1)"
            />
            <i
              class="fa fa-filter fa-lg customfilter"
              (click)="filterNom = !filterNom"
            ></i>
          </th>

          <th style="width: auto" *ngIf="this.user.isAdmin">
            sinistre
            <div *ngIf="filterSinister" class="col-form-label inputFilterActif">
              <div class="form-check">
                <input
                  class="form-check-input"
                  type="radio"
                  name="radios"
                  id="radio1"
                  value=""
                  [(ngModel)]="filters[4]['sinister']"
                  (change)="getSiteTypes(1)"
                  checked=""
                />
                <label for="radio1" class="form-check-label"> ALL </label>
              </div>
              <div class="form-check">
                <input
                  class="form-check-input"
                  type="radio"
                  name="radios"
                  id="radio2"
                  value="true"
                  [(ngModel)]="filters[4]['sinister']"
                  (change)="getSiteTypes(1)"
                />
                <label for="radio2" class="form-check-label"> Active </label>
              </div>
              <div class="form-check">
                <input
                  class="form-check-input"
                  type="radio"
                  name="radios"
                  id="radio3"
                  value="false"
                  [(ngModel)]="filters[4]['sinister']"
                  (change)="getSiteTypes(1)"
                />
                <label for="radio3" class="form-check-label"> Inactive </label>
              </div>
            </div>
            <i
              class="fa fa-filter fa-lg customfilter"
              (click)="filterSinister = !filterSinister"
            ></i>
          </th>

          <th style="width: auto">
            Fournisseur de canevas
            <input
              *ngIf="filterCanvasProvider"
              class="inputFilter"
              type="text"
              [(ngModel)]="filters[7]['canvas_provider']"
              (keyup)="getSiteTypes(1)"
            />
            <i
              class="fa fa-filter fa-lg customfilter"
              (click)="filterCanvasProvider = !filterCanvasProvider"
            ></i>
          </th>
          <th style="width: auto">
            Fabricant
            <input
              *ngIf="filterManufacturer"
              class="inputFilter"
              type="text"
              [(ngModel)]="filters[8]['manufacturer']"
              (keyup)="getSiteTypes(1)"
            />
            <i
              class="fa fa-filter fa-lg customfilter"
              (click)="filterManufacturer = !filterManufacturer"
            ></i>
          </th>
          <th style="width: auto">
            État
            <input
              *ngIf="filterState"
              class="inputFilter"
              type="text"
              [(ngModel)]="filters[9]['state']"
              (keyup)="getSiteTypes(1)"
            />
            <i
              class="fa fa-filter fa-lg customfilter"
              (click)="filterState = !filterState"
            ></i>
          </th>

          <th style="width: auto" *ngIf="this.user.isAdmin">
            Garanti
            <div
              *ngIf="filterIsGuaranteed"
              class="col-form-label inputFilterActif"
            >
              <div class="form-check">
                <input
                  class="form-check-input"
                  type="radio"
                  name="radios"
                  id="radio1"
                  value=""
                  [(ngModel)]="filters[5]['is_guaranteed']"
                  (change)="getSiteTypes(1)"
                  checked=""
                />
                <label for="radio1" class="form-check-label"> ALL </label>
              </div>
              <div class="form-check">
                <input
                  class="form-check-input"
                  type="radio"
                  name="radios"
                  id="radio2"
                  value="true"
                  [(ngModel)]="filters[5]['is_guaranteed']"
                  (change)="getSiteTypes(1)"
                />
                <label for="radio2" class="form-check-label"> Active </label>
              </div>
              <div class="form-check">
                <input
                  class="form-check-input"
                  type="radio"
                  name="radios"
                  id="radio3"
                  value="false"
                  [(ngModel)]="filters[5]['is_guaranteed']"
                  (change)="getSiteTypes(1)"
                />
                <label for="radio3" class="form-check-label"> Inactive </label>
              </div>
            </div>
            <i
              class="fa fa-filter fa-lg customfilter"
              (click)="filterIsGuaranteed = !filterIsGuaranteed"
            ></i>
          </th>
          <th style="width: auto">Date d'installation</th>
          <th style="width: auto">Date de mise au rebut</th>
          <th style="width: auto">Date de fin de garantie</th>
          <th *ngIf="this.user.isAdmin" style="width: 80px; padding: 15px 0px">
            Actions
          </th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let siteType of siteTypes">
          <td>{{ siteType.id }}</td>
          <td>{{ siteType.element_type.name }}</td>
          <td>
            <div style="margin-left: 25px">
              {{ siteType.accommodation.id }}
            </div>
          </td>
          <td>
            {{
              siteType.recognition_code
                ? siteType.recognition_code
                : "Non initialisé "
            }}
          </td>
          <td *ngIf="this.user.isAdmin">
            <label class="switch switch-label switch-pill switch-success">
              <input
                type="checkbox"
                [(ngModel)]="siteType.sinister"
                (click)="changeStatut(siteType.id, siteType.sinister)"
                class="switch-input"
              />
              <span
                data-checked="✓"
                data-unchecked="✕"
                class="switch-slider"
              ></span>
            </label>
          </td>

          <td>{{ siteType.canvas_provider.name }}</td>
          <td>{{ siteType.manufacturer.name }}</td>
          <td>{{ siteType.state.name }}</td>
          <td *ngIf="this.user.isAdmin">
            <label class="switch switch-label switch-pill switch-success">
              <input
                type="checkbox"
                [(ngModel)]="siteType.is_guaranteed"
                (click)="changeStatut2(siteType.id, siteType.is_guaranteed)"
                class="switch-input"
              />
              <span
                data-checked="✓"
                data-unchecked="✕"
                class="switch-slider"
              ></span>
            </label>
          </td>
          <td>{{ siteType.installation_date | date: "MMM d, y" }}</td>
          <td>{{ siteType.scrapping_date | date: "MMM d, y" }}</td>
          <td>{{ siteType.guarantee_end_date | date: "MMM d, y" }}</td>

          <td style="z-index: 2222" *ngIf="this.user.isAdmin">
            <div class="editIcon">
              <i
                class="icon-note icons font-2xl"
                (click)="showUpdateModal(siteType); myUpdateModal.show()"
              ></i>
              <i
                class="fa fa-folder-open-o fa-lg mt-4 font-2xl"
                (click)="getElementHistory(siteType.id); myUpdateModal2.show()"
              ></i>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
  <div class="count">
    <div>Résultats {{ siteTypes.length }} (filtrés parmi {{ totalCount }})</div>
  </div>
</div>
<div class="pages" *ngIf="totalCount > 10">
  <ul class="pagination">
    <li class="page-item" (click)="getSiteTypes(pagination.first)">
      <a class="page-link"><i class="fa fa-angle-double-left fa-lg"></i></a>
    </li>

    <li class="page-item" (click)="getSiteTypes(pagination.prev)">
      <a class="page-link" *ngIf="pagination.first < pagination.current"
        ><i class="fa fa-angle-left fa-lg"></i
      ></a>
    </li>
    <li class="page-item" (click)="getSiteTypes(pagination.prev - 1)">
      <a class="page-link" *ngIf="pagination.first < pagination.prev">..</a>
    </li>
    <li class="page-item" (click)="getSiteTypes(pagination.prev)">
      <a class="page-link" *ngIf="pagination.prev < pagination.current">{{
        pagination.prev
      }}</a>
    </li>
    <li class="page-item active" (click)="getSiteTypes(pagination.current)">
      <a class="page-link">{{ pagination.current }}</a>
    </li>
    <li class="page-item" (click)="getSiteTypes(pagination.next)">
      <a class="page-link" *ngIf="pagination.next > pagination.current">{{
        pagination.next
      }}</a>
    </li>
    <li class="page-item">
      <a
        class="page-link"
        (click)="getSiteTypes(pagination.next + 1)"
        *ngIf="pagination.next < pagination.last"
        >..</a
      >
    </li>
    <li class="page-item" (click)="getSiteTypes(pagination.next)">
      <a class="page-link" *ngIf="pagination.current != pagination.last"
        ><i class="fa fa-angle-right fa-lg"></i
      ></a>
    </li>
    <li class="page-item" (click)="getSiteTypes(pagination.last)">
      <a class="page-link"><i class="fa fa-angle-double-right fa-lg"></i></a>
    </li>
  </ul>
</div>
<!--Add window !!!-->
<!--Add window !!!-->
<!--Add window !!!-->
<!--Add window !!!-->
<div
  bsModal
  #myModal="bs-modal"
  class="modal fade"
  tabindex="-1"
  role="dialog"
  aria-labelledby="myModalLabel"
  aria-hidden="false"
>
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Ajouter un élément</h4>
        <button
          type="button"
          class="close"
          (click)="myModal.hide(); resetAddModal()"
          aria-label="Close"
        >
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div role="alert" class="alert alert-success" *ngIf="successAddSiteType">
        Un nouvel élément est ajouté<strong> avec succès.</strong>
      </div>
      <div role="alert" class="alert alert-danger" *ngIf="errorAddSiteType">
        <strong>Oops ! </strong> Modifiez quelques éléments et essayez de
        soumettre de nouveau !
      </div>
      <div class="modal-body">
        <div class="form-group custom-col">
          <label>Code de reconnaissance</label>
          <input
            (blur)="uniquenessCheck()"
            type="text"
            placeholder="code de reconnaissance.."
            class="form-control"
            [(ngModel)]="newtSiteType.recognitionCode"
            style="color: black"
            [ngStyle]="inputStyle"
          />
          <div class="custom-col">
            <span *ngIf="entityExist && newtSiteType.recognitionCode">
              * Ce code existe déjà !
            </span>
            <span *ngIf="entityEmpty"> * Ce champ est obligatoire ! </span>
          </div>
        </div>

        <div class="form-group custom-col">
          <label>Date d'installation</label>
          <input
            type="date"
            class="form-control"
            [(ngModel)]="newtSiteType.installationDate"
            style="color: black"
          />
          <div class="errorMessage">
            <span *ngIf="emptyDateInstallationDate">
              * Veuillez sélectionner une date pour continuer
            </span>
          </div>
        </div>
        <div class="form-group custom-col">
          <label>Date de mise au rebut</label>
          <input
            type="date"
            class="form-control"
            [(ngModel)]="newtSiteType.scrappingDate"
            style="color: black"
          />

          <div class="errorMessage">
            <span *ngIf="emptyDateScrappingDate">
              * Veuillez sélectionner une date pour continuer
            </span>
          </div>
        </div>

        <div class="form-group custom-col">
          <label>Date de fin de garantie</label>
          <input
            type="date"
            class="form-control"
            [(ngModel)]="newtSiteType.guaranteeEndDate"
            style="color: black"
          />

          <div class="errorMessage">
            <span *ngIf="emptyDateGuaranteeEndDate">
              * Veuillez sélectionner une date pour continuer
            </span>
          </div>
        </div>
        <div class="form-group custom-col">
          <label>Type d'élement</label>
          <select
            style="color: black"
            class="form-control"
            [(ngModel)]="newtSiteType.elementType"
          >
            <option selected disabled value="">
              Choisir l'id de l'élément
            </option>
            <option
              *ngFor="let elementType of elementTypes"
              [ngValue]="elementType['@id']"
            >
              {{ elementType["id"] }}
            </option>
          </select>
          <div class="errorMessage">
            <span *ngIf="emptyPickElement">
              * Veuillez sélectionner une option pour continuer
            </span>
          </div>
        </div>

        <div class="form-group custom-col">
          <label>Fournisseur de canevas</label>
          <select
            style="color: black"
            class="form-control"
            [(ngModel)]="newtSiteType.canvasProvider"
          >
            <option selected disabled value="">
              Choisir le fournisseur de canevas
            </option>
            <option
              *ngFor="let canvasProvider of canvasProviders"
              [ngValue]="canvasProvider['@id']"
            >
              {{ canvasProvider["name"] }}
            </option>
          </select>
          <div class="errorMessage">
            <span *ngIf="emptyPickCanvasProvider">
              * Veuillez sélectionner une option pour continuer
            </span>
          </div>
        </div>
        <div class="form-group custom-col">
          <label>Fabricant </label>
          <select
            style="color: black"
            class="form-control"
            [(ngModel)]="newtSiteType.manufacturer"
          >
            <option selected disabled value="">Choisir un fabricant</option>
            <option
              *ngFor="let manufacturer of manufacturers"
              [ngValue]="manufacturer['@id']"
            >
              {{ manufacturer["name"] }}
            </option>
          </select>
          <div class="errorMessage">
            <span *ngIf="emptyPickManufacturer">
              * Veuillez sélectionner une option pour continuer
            </span>
          </div>
        </div>

        <div class="form-group custom-col">
          <label>Logement </label>
          <select
            style="color: black"
            class="form-control"
            [(ngModel)]="newtSiteType.accommodation"
          >
            <option selected disabled value="">Choisir un logement</option>
            <option
              *ngFor="let accommodation of accommodations"
              [ngValue]="accommodation['@id']"
            >
              {{ accommodation["id"] }}
            </option>
          </select>
          <div class="errorMessage">
            <span *ngIf="emptyPickAccommodation">
              * Veuillez sélectionner une option pour continuer
            </span>
          </div>
        </div>

        <div class="form-group custom-col">
          <label>État </label>
          <select
            style="color: black"
            class="form-control"
            [(ngModel)]="newtSiteType.state"
          >
            <option selected disabled value="">Choisir un état</option>
            <option *ngFor="let state of states" [ngValue]="state['@id']">
              {{ state["name"] }}
            </option>
          </select>
          <div class="errorMessage">
            <span *ngIf="emptyPickState">
              * Veuillez sélectionner une option pour continuer
            </span>
          </div>
        </div>

        <div class="options">
          <div class="selectActif">
            <label>Sinistre</label>
            <div class="selectBox">
              <label class="switch switch-label switch-pill switch-success">
                <input
                  type="checkbox"
                  [(ngModel)]="newtSiteType.sinister"
                  class="switch-input"
                />
                <span
                  data-checked="✓"
                  data-unchecked="✕"
                  class="switch-slider"
                ></span>
              </label>
            </div>
          </div>
        </div>

        <div class="options">
          <div class="selectActif">
            <label>Garanti</label>
            <div class="selectBox">
              <label class="switch switch-label switch-pill switch-success">
                <input
                  type="checkbox"
                  [(ngModel)]="newtSiteType.isGuaranteed"
                  class="switch-input"
                />
                <span
                  data-checked="✓"
                  data-unchecked="✕"
                  class="switch-slider"
                ></span>
              </label>
            </div>
          </div>
        </div>
      </div>

      <div class="modal-footer">
        <button
          type="button"
          class="btn btn-secondary"
          (click)="myModal.hide(); resetAddModal()"
        >
          Annuler
        </button>
        <button
          type="button"
          class="btn addButton"
          (click)="addNewSiteType(); uniquenessCheck(); checkNoEmptyFields()"
        >
          Ajouter
        </button>
      </div>
    </div>
    <!-- /.modal-content -->
  </div>
  <!-- /.modal-dialog -->
</div>
<!-- /.modal -->

<!-- Update Window !!! -->
<!-- Update Window !!! -->
<!-- Update Window !!! -->
<!---->
<div
  bsModal
  #myUpdateModal="bs-modal"
  class="modal fade"
  tabindex="-1"
  role="dialog"
  aria-labelledby="myModalLabel"
  aria-hidden="false"
>
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Modifier cet élément</h4>
        <button
          type="button"
          class="close"
          (click)="myUpdateModal.hide(); resetAddModal()"
          aria-label="Close"
        >
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <!--Alert messages here-->
      <div
        class="alert alert-success alert-dismissible fade show"
        role="alert"
        style="
          max-width: 95%;
          margin-left: 10px;
          margin-top: 10px;
          margin-bottom: -8px;
        "
        *ngIf="successModifySiteType"
      >
        Les modifications ont été opérées avec<strong> succès !</strong>
        <button
          type="button"
          class="btn-close"
          data-bs-dismiss="alert"
          aria-label="Close"
        ></button>
      </div>

      <div
        class="alert alert-danger alert-dismissible fade show"
        role="alert"
        style="
          max-width: 95%;
          margin-left: 10px;
          margin-top: 10px;
          margin-bottom: -8px;
        "
        *ngIf="failModifySiteType"
      >
        <strong>Oops ! </strong> Modifiez quelques éléments et essayez de
        soumettre de nouveau !
        <button
          type="button"
          class="btn-close"
          data-bs-dismiss="alert"
          aria-label="Close"
        ></button>
      </div>

      <div class="modal-body">
        <div class="form-group custom-col">
          <label>Code de reconnaissance</label>
          <input
            (blur)="CheckUniqueForUpdate()"
            type="text"
            placeholder="Nom de type.."
            class="form-control"
            [(ngModel)]="updateSiteType.recognitionCode"
            style="color: black"
            [ngStyle]="inputStyle"
          />
          <span *ngIf="!updateSiteType.recognitionCode">
            * Ce champ est obligatoire !
          </span>
        </div>

        <div class="form-group custom-col">
          <label>Date d'installation</label>
          <input
            type="date"
            class="form-control"
            [(ngModel)]="updateSiteType.installationDate"
            style="color: black"
          />
        </div>
        <div class="form-group custom-col">
          <label>Date de mise au rebut</label>
          <input
            type="date"
            class="form-control"
            [(ngModel)]="updateSiteType.scrappingDate"
            style="color: black"
          />
        </div>

        <div class="form-group custom-col">
          <label>Date de fin de garantie</label>
          <input
            type="date"
            class="form-control"
            [(ngModel)]="updateSiteType.guaranteeEndDate"
            style="color: black"
          />
        </div>
        <div class="form-group custom-col">
          <label>Type d'élément</label>
          <select
            style="color: black"
            class="form-control"
            [(ngModel)]="updateSiteType.elementType"
          >
            <option selected disabled value="">
              Choisir l'id de l'élément
            </option>
            <option
              *ngFor="let elementType of elementTypes"
              [ngValue]="elementType['@id']"
            >
              {{ elementType["id"] }}
            </option>
          </select>
          <div class="custom-col">
            <span *ngIf="emptyPick">
              * Veuillez sélectionner une option pour continuer
            </span>
          </div>
        </div>

        <div class="form-group custom-col">
          <label>Fournisseur de canevas</label>
          <select
            style="color: black"
            class="form-control"
            [(ngModel)]="updateSiteType.canvasProvider"
          >
            <option selected disabled value="">
              Choisir un type de réparation
            </option>
            <option
              *ngFor="let canvasProvider of canvasProviders"
              [ngValue]="canvasProvider['@id']"
            >
              {{ canvasProvider["name"] }}
            </option>
          </select>
          <div class="custom-col">
            <span *ngIf="emptyPick">
              * Veuillez sélectionner une option pour continuer
            </span>
          </div>
        </div>
        <div class="form-group custom-col">
          <label>Fabricant</label>
          <select
            style="color: black"
            class="form-control"
            [(ngModel)]="updateSiteType.manufacturer"
          >
            <option selected disabled value="">Choisir un fabricant</option>
            <option
              *ngFor="let manufacturer of manufacturers"
              [ngValue]="manufacturer['@id']"
            >
              {{ manufacturer["name"] }}
            </option>
          </select>
          <div class="custom-col">
            <span *ngIf="emptyPick">
              * Veuillez sélectionner une option pour continuer
            </span>
          </div>
        </div>

        <div class="form-group custom-col">
          <label>Logement</label>
          <select
            style="color: black"
            class="form-control"
            [(ngModel)]="updateSiteType.accommodation"
          >
            <option selected disabled value="">Choisir un logement</option>
            <option
              *ngFor="let accommodation of accommodations"
              [ngValue]="accommodation['@id']"
            >
              {{ accommodation["id"] }}
            </option>
          </select>
          <div class="custom-col">
            <span *ngIf="emptyPick">
              * Veuillez sélectionner une option pour continuer
            </span>
          </div>
        </div>

        <div class="form-group custom-col">
          <label>État </label>
          <select
            style="color: black"
            class="form-control"
            [(ngModel)]="updateSiteType.state"
          >
            <option selected disabled value="">Choisir un état</option>
            <option *ngFor="let state of states" [ngValue]="state['@id']">
              {{ state["name"] }}
            </option>
          </select>
          <div class="custom-col">
            <span *ngIf="emptyPick">
              * Veuillez sélectionner une option pour continuer
            </span>
          </div>
        </div>
      </div>

      <div class="modal-footer">
        <button
          type="button"
          class="btn btn-secondary"
          (click)="myUpdateModal.hide()"
        >
          Annuler
        </button>
        <button
          name="submit"
          type="button"
          class="btn btn-success"
          (click)="putSiteType()"
        >
          Enregistrer
        </button>
      </div>
    </div>
  </div>
</div>

<div
  bsModal
  #myUpdateModal2="bs-modal"
  class="modal fade"
  tabindex="-1"
  role="dialog"
  aria-labelledby="myModalLabel"
  aria-hidden="false"
>
  <div class="modal-dialog modal-xl" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">L'historique de l'élément</h4>

        <button
          type="button"
          class="close"
          (click)="myUpdateModal2.hide(); resetAddModal()"
          aria-label="Close"
        >
          <span aria-hidden="true">&times;</span>
        </button>
      </div>

      <div class="modal-body">
        <table class="table table-striped">
          <div *ngIf="loadingdElementHistory">
            <div
              style="
                opacity: 0.8;
                color: black;
                margin-left: 290%;
                margin-top: 5%;
              "
            >
              Chargement...
            </div>
          </div>
          <thead style="z-index: 88" class="tableHead">
            <tr>
              <th scope="col" style="width: auto">#</th>
              <th scope="col" style="width: auto">Nouvel état de l'élément</th>
              <th scope="col" style="width: auto">Date de modification</th>
              <th scope="col" style="width: auto">Modifié par</th>
            </tr>
          </thead>
          <tbody>
            <tr
              *ngFor="let element of elementHistory; let indexOfelement = index"
            >
              <th scope="row">{{ indexOfelement }}</th>
              <td
                *ngIf="element.new_state.id == 1"
                style="color: green; font-weight: bolder"
              >
                {{ element.new_state.name }}
              </td>
              <td
                *ngIf="element.new_state.id == 2"
                style="color: rgb(212, 49, 49); font-weight: bolder"
              >
                {{ element.new_state.name }}
              </td>
              <td
                *ngIf="element.new_state.id == 3"
                style="color: rgb(180, 180, 12); font-weight: bolder"
              >
                {{ element.new_state.name }}
              </td>
              <td
                *ngIf="element.new_state.id == 4"
                style="color: rgb(59, 59, 226); font-weight: bolder"
              >
                {{ element.new_state.name }}
              </td>
              <td style="font-weight: bolder">
                {{ element.created_at | date: "MMM d, y, à  h:mm" }}
              </td>
              <td style="font-weight: bolder">
                {{ element.user.first_name }} {{ element.user.last_name }}
              </td>
            </tr>
          </tbody>
        </table>
        <label
          *ngIf="elementHistory.length == 0 && loadingdElementHistory == false"
          style="
            margin-left: 45%;
            font-weight: bolder;
            color: brown;
            margin-top: 2%;
          "
        >
          Pas d'historique
        </label>
      </div>

      <div class="modal-footer">
        <button
          type="button"
          class="btn btn-secondary"
          (click)="myUpdateModal2.hide()"
        >
          Fermer
        </button>
        <!--
        <button
          name="submit"
          type="button"
          class="btn btn-success"
          (click)="putSiteType()"
        >
          Enregistrer
        </button>-->
      </div>
    </div>
  </div>
</div>
